Post V271 Vnflcm V2 Vnf Instances Vnf Instance Id Scale

Post V271 Vnflcm V2 Vnf Instances Vnf Instance Id Scale

Scale VNF. The POST method requests to scale a VNF instance resource incrementally. This method shall follow the provisions specified in the tables 5.4.5.3.1-1 and 5.4.5.3.1-2 for URI query parameters, request and response data structures, and response codes. The steps and conditions that apply as the result of successfully executing this method are specified in clause 5.4.1.2. In addition, once the VNFM has successfully completed the underlying VNF LCM operation occurrence, it shall reflect the result of scaling the VNF instance by updating the "scaleStatus" attribute in the representation of the "Individual VNF instance" resource.

Request
URI
POST
https://{api_host}/tca/etsi/orgs/{vnflcmOrgId}/direct/v271/vnflcm/v2/vnf_instances/{vnfInstanceId}/scale
COPY
Path Parameters
string
vnfInstanceId
Required

Identifier of the VNF instance to be scaled. This identifier can be retrieved from the resource referenced by the "Location" HTTP header in the response to a POST request creating a new "Individual VNF instance" resource. It can also be retrieved from the "id" attribute in the payload body of that response.

string
vnflcmOrgId
Required

The tenant identifier

Header Parameters
string
Accept
Required

Content-Types that are acceptable for the response. Reference: IETF RFC 7231

string
Authorization
Optional

The authorization token for the request. Reference: IETF RFC 7235

string
Content-Type
Required

The MIME type of the body of the request. Reference: IETF RFC 7231

string
Version
Required

Version of the API requested to use when responding to this request.

integer
Priority
Optional

Priority of the current LCM task


Request Body

Parameters for the scale VNF operation.

ScaleVnfRequest of type(s) application/json
Required
{
    "type": "string",
    "aspectId": "string",
    "numberOfSteps": 0,
    "additionalParams": {
        "action": "string",
        "skipGrant": false,
        "timeoutInSecs": 0,
        "vduParams": [
            {
                "vduName": "string",
                "vduId": "string",
                "deploymentProfileId": "string",
                "chartName": "string",
                "helmName": "string",
                "namespace": "string",
                "repoUrl": "string",
                "username": "string",
                "password": "string",
                "extensionId": "string",
                "overrides": "string",
                "metadata": [
                    {}
                ],
                "imageName": "string",
                "disableAutoRollback": false,
                "disableGrant": false,
                "disableHelmInstall": false,
                "ignoreGrantFailure": false,
                "timeoutInSecs": 0,
                "catalogName": "string",
                "catalogId": "string"
            }
        ],
        "lcmInterfaces": [
            {
                "interfaceName": "string",
                "parameters": [
                    {
                        "name": "string",
                        "type": "string"
                    }
                ]
            }
        ]
    }
}
string
type
Required

Indicates the type of the scale operation requested. Permitted values: * SCALE_OUT: adding additional VNFC instances to the VNF to increase capacity

  • SCALE_IN: removing VNFC instances from the VNF in order to release unused capacity.
Possible values are : SCALE_OUT, SCALE_IN,
aspectId
Required

aspectId

integer
numberOfSteps
Optional

Number of scaling steps to be executed as part of this Scale VNF operation. It shall be a positive number and the default value shall be 1.

additionalParams
Optional

additionalParams

Authentication
This operation uses the following authentication methods.
Responses
202

202 ACCEPTED Shall be returned when the request has been accepted for processing. The response body shall be empty. The HTTP response shall include a "Location" HTTP header that contains the URI of the newly-created "VNF LCM operation occurrence" resource corresponding to the operation.

Operation doesn't return any data structure

Response Headers

string
Location

The resource URI of the created VNF instance

string
WWW-Authenticate

Challenge if the corresponding HTTP request has not provided authorization, or error details if the corresponding HTTP request has provided an invalid authorization token.

string
Version

Version of the API used in the response.


400
Returns 400 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


401
Returns 401 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


403
Returns 403 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


404
Returns 404 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


405
Returns 405 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


406
Returns 406 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


409
Returns 409 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


500
Returns 500 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


503
Returns 503 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


504
Returns 504 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.